### Hierarchy

- IncrementalData

Interface for the output object of Model.toIncrementalData.

since

  2.1

## Index

### Properties

- insertedLinkKeys
- insertedNodeKeys
- modelData
- modifiedLinkData
- modifiedNodeData
- removedLinkKeys
- removedNodeKeys

## Properties

### Optional insertedLinkKeys : Array<Key>

Array of link keys added.

### Optional insertedNodeKeys : Array<Key>

Array of node keys added.

### Optional modelData : ObjectData

Object containing the modified Model.modelData.

### Optional modifiedLinkData : Array<ObjectData>

Array of link data objects modified.

### Optional modifiedNodeData : Array<ObjectData>

Array of node data objects modified.

### Optional removedLinkKeys : Array<Key>

Array of link keys deleted.

### Optional removedNodeKeys : Array<Key>

Array of node keys deleted.

Copyright © 1998-2019 by Northwoods Software Corporation.